<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [nFormat](./bitburner.ns.nformat.md)

## NS.nFormat() method

Format a number

<b>Signature:</b>

```typescript
nFormat(n: number, format: string): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  n | number | Number to format. |
|  format | string | Formatter. |

<b>Returns:</b>

string

Formated number.

## Remarks

RAM cost: 0 GB

Converts a number into a string with the specified formatter. This uses the numeraljs library, so the formatters must be compatible with that. This is the same function that the game itself uses to display numbers.

see: http://numeraljs.com/

